<?php
require_once(getabspath("classes/cipherer.php"));



$tdatadashboard = array();
$tdatadashboard[".ShortName"] = "dashboard";

$tdatadashboard[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdatadashboard[".originalPagesByType"] = $tdatadashboard[".pagesByType"];
$tdatadashboard[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdatadashboard[".originalPages"] = $tdatadashboard[".pages"];
$tdatadashboard[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdatadashboard[".originalDefaultPages"] = $tdatadashboard[".defaultPages"];


//	field labels
$fieldLabelsdashboard = array();
$pageTitlesdashboard = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsdashboard["English"] = array();
	$fieldLabelsdashboard["English"]["persons_numPers"] = "الرقم";
	$fieldLabelsdashboard["English"]["persons_firstName"] = "الإسم";
	$fieldLabelsdashboard["English"]["persons_fatherName"] = "إسم الأب";
	$fieldLabelsdashboard["English"]["persons_motherName"] = "إسم الأم";
	$fieldLabelsdashboard["English"]["persons_lastName"] = "الشهرة";
	$fieldLabelsdashboard["English"]["persons_sex"] = "الجنس";
	$fieldLabelsdashboard["English"]["persons_dateNaissance"] = "تاريخ الولادة";
	$fieldLabelsdashboard["English"]["persons_numRegister"] = "رقم السجل";
	$fieldLabelsdashboard["English"]["persons_religion"] = "الطائفة";
	$fieldLabelsdashboard["English"]["persons_religionRegister"] = "طائفة السجل";
	$fieldLabelsdashboard["English"]["persons_region"] = "المنطقة";
	$fieldLabelsdashboard["English"]["persons_numRegion"] = "القلم";
	$fieldLabelsdashboard["English"]["persons_vote"] = "إقترع";
	$fieldLabelsdashboard["English"]["persons_phone"] = "رقم الهاتف";
	$fieldLabelsdashboard["English"]["persons_address"] = "عنوان السكن";
	$fieldLabelsdashboard["English"]["persons_job"] = "المهنة";
	$fieldLabelsdashboard["English"]["persons_hasCar"] = "لديه سيارة";
	$fieldLabelsdashboard["English"]["persons_wasit_name"] = "إسم الوسيط";
	$fieldLabelsdashboard["English"]["persons_teamName"] = "اللائحة أو الحزب";
	$fieldLabelsdashboard["English"]["persons_status"] = "حالته";
	$fieldLabelsdashboard["English"]["persons_voteWith"] = "يقترع ";
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsdashboard["Arabic"] = array();
	$fieldLabelsdashboard["Arabic"]["persons_numPers"] = "رقم";
	$fieldLabelsdashboard["Arabic"]["persons_firstName"] = "أسم";
	$fieldLabelsdashboard["Arabic"]["persons_fatherName"] = "أسم الأب";
	$fieldLabelsdashboard["Arabic"]["persons_motherName"] = "أسم الأم";
	$fieldLabelsdashboard["Arabic"]["persons_lastName"] = "شهرة";
	$fieldLabelsdashboard["Arabic"]["persons_sex"] = "جنس";
	$fieldLabelsdashboard["Arabic"]["persons_dateNaissance"] = "تاريخ الولادة";
	$fieldLabelsdashboard["Arabic"]["persons_numRegister"] = "رقم السجل";
	$fieldLabelsdashboard["Arabic"]["persons_religion"] = "مذهب";
	$fieldLabelsdashboard["Arabic"]["persons_religionRegister"] = "طائفة السجل";
	$fieldLabelsdashboard["Arabic"]["persons_region"] = "منطقة";
	$fieldLabelsdashboard["Arabic"]["persons_numRegion"] = "رقم المنطقة";
	$fieldLabelsdashboard["Arabic"]["persons_vote"] = "إقترع";
	$fieldLabelsdashboard["Arabic"]["persons_phone"] = "هاتف";
	$fieldLabelsdashboard["Arabic"]["persons_address"] = "عنوان السكن";
	$fieldLabelsdashboard["Arabic"]["persons_job"] = "المهنة";
	$fieldLabelsdashboard["Arabic"]["persons_hasCar"] = "لديه سيارة";
	$fieldLabelsdashboard["Arabic"]["persons_wasit_name"] = "إسم الوسيط";
	$fieldLabelsdashboard["Arabic"]["persons_teamName"] = "لائحة أو حزب";
	$fieldLabelsdashboard["Arabic"]["persons_status"] = "حالته";
	$fieldLabelsdashboard["Arabic"]["persons_voteWith"] = "يقترع ";
}

//	search fields
$tdatadashboard[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"numPers" );
$tdatadashboard[".searchFields"]["persons_numPers"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"firstName" );
$tdatadashboard[".searchFields"]["persons_firstName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"fatherName" );
$tdatadashboard[".searchFields"]["persons_fatherName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"motherName" );
$tdatadashboard[".searchFields"]["persons_motherName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"lastName" );
$tdatadashboard[".searchFields"]["persons_lastName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"sex" );
$tdatadashboard[".searchFields"]["persons_sex"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"dateNaissance" );
$tdatadashboard[".searchFields"]["persons_dateNaissance"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"numRegister" );
$tdatadashboard[".searchFields"]["persons_numRegister"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"religion" );
$tdatadashboard[".searchFields"]["persons_religion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"religionRegister" );
$tdatadashboard[".searchFields"]["persons_religionRegister"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"region" );
$tdatadashboard[".searchFields"]["persons_region"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"numRegion" );
$tdatadashboard[".searchFields"]["persons_numRegion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"vote" );
$tdatadashboard[".searchFields"]["persons_vote"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"phone" );
$tdatadashboard[".searchFields"]["persons_phone"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"address" );
$tdatadashboard[".searchFields"]["persons_address"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"job" );
$tdatadashboard[".searchFields"]["persons_job"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"hasCar" );
$tdatadashboard[".searchFields"]["persons_hasCar"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"wasit_name" );
$tdatadashboard[".searchFields"]["persons_wasit_name"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"teamName" );
$tdatadashboard[".searchFields"]["persons_teamName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"status" );
$tdatadashboard[".searchFields"]["persons_status"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"voteWith" );
$tdatadashboard[".searchFields"]["persons_voteWith"] = $dashField;

// all search fields
$tdatadashboard[".allSearchFields"] = array();
$tdatadashboard[".allSearchFields"][] = "persons_numPers";
$tdatadashboard[".allSearchFields"][] = "persons_firstName";
$tdatadashboard[".allSearchFields"][] = "persons_fatherName";
$tdatadashboard[".allSearchFields"][] = "persons_motherName";
$tdatadashboard[".allSearchFields"][] = "persons_lastName";
$tdatadashboard[".allSearchFields"][] = "persons_sex";
$tdatadashboard[".allSearchFields"][] = "persons_dateNaissance";
$tdatadashboard[".allSearchFields"][] = "persons_numRegister";
$tdatadashboard[".allSearchFields"][] = "persons_religion";
$tdatadashboard[".allSearchFields"][] = "persons_religionRegister";
$tdatadashboard[".allSearchFields"][] = "persons_region";
$tdatadashboard[".allSearchFields"][] = "persons_numRegion";
$tdatadashboard[".allSearchFields"][] = "persons_vote";
$tdatadashboard[".allSearchFields"][] = "persons_phone";
$tdatadashboard[".allSearchFields"][] = "persons_address";
$tdatadashboard[".allSearchFields"][] = "persons_job";
$tdatadashboard[".allSearchFields"][] = "persons_hasCar";
$tdatadashboard[".allSearchFields"][] = "persons_wasit_name";
$tdatadashboard[".allSearchFields"][] = "persons_teamName";
$tdatadashboard[".allSearchFields"][] = "persons_status";
$tdatadashboard[".allSearchFields"][] = "persons_voteWith";

// good like search fields
$tdatadashboard[".googleLikeFields"] = array();
$tdatadashboard[".googleLikeFields"][] = "persons_numPers";
$tdatadashboard[".googleLikeFields"][] = "persons_firstName";
$tdatadashboard[".googleLikeFields"][] = "persons_fatherName";
$tdatadashboard[".googleLikeFields"][] = "persons_motherName";
$tdatadashboard[".googleLikeFields"][] = "persons_lastName";
$tdatadashboard[".googleLikeFields"][] = "persons_sex";
$tdatadashboard[".googleLikeFields"][] = "persons_dateNaissance";
$tdatadashboard[".googleLikeFields"][] = "persons_numRegister";
$tdatadashboard[".googleLikeFields"][] = "persons_religion";
$tdatadashboard[".googleLikeFields"][] = "persons_religionRegister";
$tdatadashboard[".googleLikeFields"][] = "persons_region";
$tdatadashboard[".googleLikeFields"][] = "persons_numRegion";
$tdatadashboard[".googleLikeFields"][] = "persons_vote";
$tdatadashboard[".googleLikeFields"][] = "persons_phone";
$tdatadashboard[".googleLikeFields"][] = "persons_address";
$tdatadashboard[".googleLikeFields"][] = "persons_job";
$tdatadashboard[".googleLikeFields"][] = "persons_hasCar";
$tdatadashboard[".googleLikeFields"][] = "persons_wasit_name";
$tdatadashboard[".googleLikeFields"][] = "persons_teamName";
$tdatadashboard[".googleLikeFields"][] = "persons_status";
$tdatadashboard[".googleLikeFields"][] = "persons_voteWith";

$tdatadashboard[".dashElements"] = array();

	$dbelement = array( "elementName" => "persons_search", "table" => "persons",
		 "pageName" => "search1","type" => 4);
	$dbelement["cellName"] = "cell_0_0";

			

	$tdatadashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "persons_list", "table" => "persons",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "cell_1_0";

					$dbelement["inlineAdd"] = 0 > 0;
	$dbelement["inlineEdit"] = 0 > 0;
	$dbelement["deleteRecord"] = 0 > 0;
	$dbelement["copy"] = 0 > 0;

	$dbelement["popupAdd"] = 0 > 0;
	$dbelement["popupEdit"] = 0 > 0;
	$dbelement["popupView"] = 0 > 0;

	$dbelement["updateSelected"] = 0 > 0;


	$tdatadashboard[".dashElements"][] = $dbelement;

$tdatadashboard[".shortTableName"] = "dashboard";
$tdatadashboard[".entityType"] = 4;



$tableEvents["Dashboard"] = new eventsBase;
$tdatadashboard[".hasEvents"] = false;


$tdatadashboard[".tableType"] = "dashboard";



$tdatadashboard[".addPageEvents"] = false;

$tdatadashboard[".isUseAjaxSuggest"] = true;

$tables_data["Dashboard"]=&$tdatadashboard;
$field_labels["Dashboard"] = &$fieldLabelsdashboard;
$page_titles["Dashboard"] = &$pageTitlesdashboard;

?>